#include "stdafx.h"
#include "Departamento.h"

#include "Universidade.h"
#include "Disciplina.h"

Departamento::Departamento(int i)
{
	id = i;
	ObjLDisciplinas = new Lista<Disciplina*>;
}

Departamento::~Departamento()
{
	if (ObjLDisciplinas)
	{
		delete ObjLDisciplinas;
	}
}

int Departamento::getId()
{
	return id;
}

void Departamento::setNome(char* n)
{
    strcpy(nome, n);
	//ObjLDisciplinas->setNome(n);
}

char* Departamento::getNome()
{
    return nome;
}


void Departamento::setUniversidade ( Universidade* u )
{
   univ = u;
}

Universidade* Departamento::getUniversidade ( )
{
   return univ;
}

void Departamento::setDisciplina ( Disciplina* d )
{  
	ObjLDisciplinas->incluir(d);
}

void Departamento::listeDisciplinas ( )
{
	Elemento<Disciplina*>* elem = ObjLDisciplinas->getPrimeiro();
	while(NULL != elem)
	{
		Disciplina* obj = elem->getInfo();
		printf("%s\n", obj->getNome());
		elem = elem->getProximo();
	}
}

void Departamento::listeDisciplinas2 ( )
{
	Elemento<Disciplina*>* elem = ObjLDisciplinas->getUltimo();
	while(NULL != elem)
	{
		Disciplina* obj = elem->getInfo();
		printf("%s\n", obj->getNome());
		elem = elem->getAnterior();
	}
}
